summaryrefslogtreecommitdiffstats
path: root/source/d/doxygen/doxygen.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/doxygen/doxygen.SlackBuild')
-rwxr-xr-xsource/d/doxygen/doxygen.SlackBuild72
1 files changed, 47 insertions, 25 deletions
diff --git a/source/d/doxygen/doxygen.SlackBuild b/source/d/doxygen/doxygen.SlackBuild
index 2a4a07338..ce86b9f4a 100755
--- a/source/d/doxygen/doxygen.SlackBuild
+++ b/source/d/doxygen/doxygen.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,24 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(basename $(echo doxygen-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev) .src)}
-BUILD=${BUILD:-1}
+PKGNAM=doxygen
+VERSION=${VERSION:-$(basename $(echo doxygen-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev) .src)}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -50,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-doxygen
@@ -58,8 +67,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf doxygen-$VERSION
-tar xvf $CWD/doxygen-${VERSION}.src.tar.?z* || exit 1
-cd doxygen-$VERSION
+tar xvf $CWD/doxygen-${VERSION}.src.tar.?z || exit 1
+cd doxygen-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -67,25 +76,38 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
-./configure \
- --shared \
- --release \
- --prefix /usr \
- --docdir /usr/doc/doxygen-$VERSION \
- --with-doxywizard
-
-make $NUMJOBS || make || exit 1
-make install INSTALL=$PKG/usr DOCDIR=$PKG/usr/doc/doxygen-$VERSION
-make install_docs INSTALL=$PKG/usr DOCDIR=$PKG/usr/doc/doxygen-$VERSION
+# Revert patch that leads to segfaults:
+zcat $CWD/doxygen.9468ede.diff.gz | patch -p1 -R --verbose || exit 1
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DDOC_INSTALL_DIR:STRING="/doc/doxygen-$VERSION" \
+ -Dbuild_app=yes \
+ -Dbuild_doc=yes \
+ -Dbuild_parse=yes \
+ -Dbuild_search=yes \
+ -Dbuild_wizard=yes \
+ -Dbuild_xmlparser=yes \
+ -Duse_sqlite3=yes \
+ -G "Unix Makefiles" .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make $NUMJOBS docs || make docs || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# If there are misplaced man pages, fix that:
-mv $PKG/usr/*.1 $PKG/usr/man/man1
+# Fix manpage location
+mv $PKG/usr/share/man $PKG/usr/man
+
+# Removed unused /usr/share
+rmdir $PKG/usr/share 2>/dev/null
# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then